PACEMAKER(8)

NAME
Pacemaker - Part of the Pacemaker cluster resource manager

SYNOPSIS
crm_mon mode [options]

DESCRIPTION
Provides a summary of cluster's current state.

Outputs varying levels of detail in a number of different formats.

OPTIONS

  Help Options:

-?, --help
    Show help options

--help-all
    Show all help options

--help-output
    Show output help

--help-display
    Show display options

--help-additional
    Show additional options

--help-deprecated
    Show deprecated options

  Output Options:

--output-as=FORMAT
    Specify output format as one of: console (default), html, text, xml

--output-to=DEST
    Specify file name for output (or "-" for stdout)

--html-cgi
    Add CGI headers (requires --output-as=html)

--html-stylesheet=URI
    Link to an external stylesheet (requires --output-as=html)

--html-title=TITLE
    Specify a page title (requires --output-as=html)

--text-fancy
    Use more highly formatted output (requires --output-as=text)

  Display Options:

-I, --include=SECTION(s)
    A list of sections to include in the output. See `Output Control` help for more information.

-U, --exclude=SECTION(s)
    A list of sections to exclude from the output. See `Output Control` help for more information.

--node=NODE
    When displaying information about nodes, show only what's related to the given node, or to all nodes tagged with the given tag

--resource=RSC
    When displaying information about resources, show only what's related to the given resource, or to all resources tagged with the given tag

-n, --group-by-node
    Group resources by node

-r, --inactive
    Display inactive resources

-f, --failcounts
    Display resource fail counts

-o, --operations
    Display resource operation history

-t, --timing-details
    Display resource operation history with timing details

-c, --tickets
    Display cluster tickets

-m, --fence-history=LEVEL
    Show fence history: 0=off, 1=failures and pending (default without option), 2=add successes (default without value for option), 3=show full history without reduction to most recent of each flavor

-L, --neg-locations
    Display negative location constraints [optionally filtered by id prefix]

-A, --show-node-attributes
    Display node attributes

-D, --hide-headers
    Hide all headers

-R, --show-detail
    Show more details (node IDs, individual clone instances)

-b, --brief
    Brief output

-s, --simple-status
    Display the cluster status once as a simple one line output (suitable for nagios)

  Additional Options:

-i, --interval=TIMESPEC
    Update frequency (default is 5 seconds)

-1, --one-shot
    Display the cluster status once on the console and exit

-d, --daemonize
    Run in the background as a daemon. Requires at least one of --output-to and --external-agent.

-p, --pid-file=FILE
    (Advanced) Daemon pid file location

-E, --external-agent=FILE
    A program to run when resource operations take place

-e, --external-recipient=RCPT
    A recipient for your program (assuming you want the program to send something to someone).

-W, --watch-fencing
    Listen for fencing events. For use with --external-agent.

  Deprecated Options:

-h, --as-html=FILE
    Write cluster status to the named HTML file. Use --output-as=html --output-to=FILE instead.

-X, --as-xml
    Write cluster status as XML to stdout. This will enable one-shot mode. Use --output-as=xml instead.

-N, --disable-ncurses
    Disable the use of ncurses. Use --output-as=text instead.

-w, --web-cgi
    Web mode with output suitable for CGI (preselected when run as *.cgi). Use --output-as=html --html-cgi instead.

  Application Options:

-$, --version
    Display software version and exit

-V, --verbose
    Increase debug output (may be specified multiple times)

-Q, --quiet
    Be less descriptive in output.

NOTES
If this program is called as crm_mon.cgi, --output-as=html --html-cgi will automatically be added to the command line arguments.

TIME SPECIFICATION
The TIMESPEC in any command line option can be specified in many different formats. It can be just an integer number of seconds, a number plus units (ms/msec/us/usec/s/sec/m/min/h/hr), or an ISO 8601 period specification.

OUTPUT CONTROL
By default, a certain list of sections are written to the output destination. The default varies based on the output format - XML includes everything, while other output formats will display less. This list can be modified with the --include and --exclude command line options. Each option may be given multiple times on the command line, and each can give a comma-separated list of sections. The options are applied to the default set, from left to right as seen on the command line. For a list of valid sections, pass --include=list or --exclude=list.

EXAMPLES
Display the cluster status on the console with updates as they occur:

    crm_mon

Display the cluster status on the console just once then exit:

    crm_mon -1

Display your cluster status, group resources by node, and include inactive resources in the list:

    crm_mon --group-by-node --inactive

Start crm_mon as a background daemon and have it write the cluster status to an HTML file:

    crm_mon --daemonize --output-as html --output-to /path/to/docroot/filename.html

Start crm_mon and export the current cluster status as XML to stdout, then exit:

    crm_mon --output-as xml

AUTHOR
Written by Andrew Beekhof